Package org.apache.solr.common.util

# Enum Class DataEntry.Type

java.lang.Object
java.lang.Enum<DataEntry.Type>
org.apache.solr.common.util.DataEntry.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<DataEntry.Type>`, `java.lang.constant.Constable`

Enclosing interface:
  `DataEntry`

public static enum DataEntry.Type extends Enum<DataEntry.Type>
The types are a superset of json

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOL`
`BYTEARR`
`DATE`
`DOUBLE`
`ENTRY_ITER`
An array like json object
`FLOAT`
`INT`
`JAVA_OBJ`
don't know how to stream it.
`KEYVAL_ITER`
A map like json object
`LONG`
`NULL`
`STR`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isContainer`
`final boolean`
`isPrimitive`
A primitive type which usually maps to a java primitive

## Method Summary

Modifier and Type
Method
Description
`static DataEntry.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataEntry.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL

public static final DataEntry.Type NULL

### LONG

public static final DataEntry.Type LONG

### INT

public static final DataEntry.Type INT

### BOOL

public static final DataEntry.Type BOOL

### FLOAT

public static final DataEntry.Type FLOAT

### DOUBLE

public static final DataEntry.Type DOUBLE

### DATE

public static final DataEntry.Type DATE

### KEYVAL_ITER

public static final DataEntry.Type KEYVAL_ITER
A map like json object

### ENTRY_ITER

public static final DataEntry.Type ENTRY_ITER
An array like json object

### STR

public static final DataEntry.Type STR

### BYTEARR

public static final DataEntry.Type BYTEARR

### JAVA_OBJ

public static final DataEntry.Type JAVA_OBJ
don't know how to stream it. read as an object using {`DataEntry.val()`} method

## Field Details

### isPrimitive

public final boolean isPrimitive
A primitive type which usually maps to a java primitive

### isContainer

public final boolean isContainer

## Method Details

### values

public static DataEntry.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DataEntry.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null